> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Auth Token

Use this API to reset the auth token for a specific API key.

> [!NOTE]
>
> This endpoint uses **workspace-level auth**: pass `x-velt-workspace-id` and `x-velt-workspace-auth-token` (from the Create Workspace response) as headers.

# Endpoint

`POST https://api.velt.dev/v2/workspace/authtoken/reset`

# Headers

**x-velt-workspace-id** `string` *required*

Your Workspace ID.

**x-velt-workspace-auth-token** `string` *required*

Your workspace [Auth Token](https://velt.dev/docs/security/auth-tokens.md).

# Body

#### Params

**data** `object` *required*

**properties**

**apiKey** `string` *required*

The API key whose auth token should be reset.

# Example Request

```JSON theme={null}
{
  "data": {
    "apiKey": "velt_api_key_1"
  }
}
```

# Example Response

#### Success Response

```JSON theme={null}
{
  "result": {
    "status": "success",
    "message": "Auth token reset successfully.",
    "data": {
      "apiKey": "velt_api_key_1",
      "newAuthToken": {
        "token": "eyJhbGciOiJSUzI1NiIs...",
        "name": "Default Auth Token",
        "domains": []
      }
    }
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "status": "NOT_FOUND",
    "message": "API key not found."
  }
}
```

```js theme={null}
{
  "result": {
    "status": "success",
    "message": "Auth token reset successfully.",
    "data": {
      "apiKey": "velt_api_key_1",
      "newAuthToken": {
        "token": "eyJhbGciOiJSUzI1NiIs...",
        "name": "Default Auth Token",
        "domains": []
      }
    }
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.